<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://rewardManagementBrowse.caption"
        focusComponent="">
    <data readOnly="true">
        <collection id="rewardManagementsDc"
                    class="com.company.management.entity.RewardManagement">
            <fetchPlan extends="_base">
                <property name="uom" fetchPlan="_base"/>
                <property name="status" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="rewardManagementsDl">
                <query>
                    <![CDATA[
                    select e from RewardManagement e
                    where e.status.code = :statusActiveCode
                    or e.status.code = :statusArchiveCode
                    ]]>
                </query>
            </loader>
        </collection>
        <collection id="campaignApprovalDc"
                    class="com.company.management.entity.RewardManagement">
            <fetchPlan extends="_base">
                <property name="status" fetchPlan="_base"/>
                <property name="uom" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="campaignApprovalDl">
                <query>
                    <![CDATA[
                    select e from RewardManagement e
                    where e.status.code = :statusPendingCode
                    or e.status.code = :statusApprovedCode
                    ]]>
                </query>
            </loader>
        </collection>
        <collection id="campaignActivityLogDc" class="com.company.management.entity.ActivityLog">
            <fetchPlan extends="_base">
                <property name="status" fetchPlan="_base"/>
                <property name="activity" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="campaignActivityLogDl">
                <query>
                    <![CDATA[select e from ActivityLog e
                    where e.module.code = :moduleCode1]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
        <label value="msg://Sign-Up Reward Campaign Summary" stylename="bold h3"/>
        <table id="rewardManagementsTable"
                    width="100%"
                    dataContainer="rewardManagementsDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit">
                    <properties>
                        <property name="screenId" value="RewardManagementSignupApprove.edit"/>
                    </properties>
                </action>
                <action id="export" type="excelExport"/>
            </actions>
            <columns>
                <column id="startDate" caption="Effective Start Date And Time">
                    <formatter>
                        <date format="dd MMMM yyyy hh:mm:ss a"/>
                    </formatter>
                </column>
                <column id="endDate" caption="Effective End Date And Time">
                    <formatter>
                        <date format="dd MMMM yyyy hh:mm:ss a"/>
                    </formatter>
                </column>
                <column id="campaignName" caption="Campaign Name"/>
                <column id="maxParticipant" caption="No. of Investors"/>
                <column id="redeemed" caption="Redeemed Reward"/>
                <column id="rewardAmount" caption="Reward Amount"/>
                <column id="redeemedAmount" caption="Total Reward Amount"/>
                <column id="uom.name" caption="UOM"/>
                <column id="campaignCode" caption="Promo Code"/>
                <column id="status.name" caption="Status"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="rewardManagementsTable.create"/>
                <button id="editBtn" action="rewardManagementsTable.edit"/>
                <button id="rewardMgmtExportBtn" caption="Excel" action="rewardManagementsTable.export"/>
            </buttonsPanel>
        </table>
            <label value="msg://Sign-Up Campaign Approval" stylename="bold h3"/>
            <table id="campaignApprovalTable"
                        width="100%"
                        dataContainer="campaignApprovalDc">
                <actions>
                    <action id="edit" type="edit">
                        <properties>
                            <property name="screenId" value="RewardManagementSignupApprove.edit"/>
                        </properties>
                    </action>
<!--                    <action id="remove" type="remove"/>-->
                </actions>
                <columns>
                    <column id="startDate" caption="Effective Start Date And Time">
                        <formatter>
                            <date format="dd MMMM yyyy hh:mm:ss a"/>
                        </formatter>
                    </column>
                    <column id="endDate" caption="Effective End Date And Time">
                        <formatter>
                            <date format="dd MMMM yyyy hh:mm:ss a"/>
                        </formatter>
                    </column>
                    <column id="campaignName" caption="Campaign Name"/>
                    <column id="maxParticipant" caption="No. of Investors"/>
                    <column id="rewardAmount" caption="Reward Amount"/>
                    <column id="uom.name" caption="UOM"/>
                    <column id="campaignCode" caption="Promo Code"/>
                    <column id="status.name" caption="Status"/>
                </columns>
                <simplePagination/>
                <buttonsPanel id="buttonsPanel1"
                              alwaysVisible="true">
                    <button id="editBtn1" action="campaignApprovalTable.edit"/>
<!--                    <button id="removeBtn1" action="campaignApprovalTable.remove"/>-->
                </buttonsPanel>
            </table>
            <label value="msg://Sign-Up Campaign Activity Log" stylename="bold h3"/>
            <filter id="filter" columnsCount="3" dataLoader="campaignActivityLogDl">
                <properties include=".*"/>
            </filter>
            <groupTable id="campaignActivityLogTable"
                        width="100%"
                        dataContainer="campaignActivityLogDc">
                <actions>
                    <action id="export" type="excelExport"/>
                </actions>
                <columns>
                    <column id="description" caption="Description"/>
                    <column id="requestBy" caption="Maker"/>
                    <column id="requestDate" caption="Request Date"/>
                    <column id="requestRemarks" caption="Remarks"/>
                    <column id="approveBy" caption="Approver"/>
                    <column id="approveDate" caption="Approve Date"/>
                    <column id="status.name" caption="Status"/>
                </columns>
                <simplePagination/>
                <buttonsPanel id="buttonsPanel2"
                              alwaysVisible="true">
                    <button id="activityLogExportBtn" caption="Excel" action="campaignActivityLogTable.export"/>
                </buttonsPanel>
            </groupTable>
        </scrollBox>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
